Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.utils
Class CandidateSet

    java.lang.Object
      org.mindswap.pellet.utils.CandidateSet

    public class CandidateSet

extends java.lang.Object

Author:
  Evren Sirin

Constructor Summary
`CandidateSet()`
`CandidateSet(java.util.Set knowns)`
`CandidateSet(java.util.Set knowns, java.util.Set unknowns)`

Method Summary
`void` | `add(java.lang.Object obj, Bool isKnown)`
`boolean` | `contains(java.lang.Object obj)`
`java.util.Set` | `getKnowns()`
`java.util.Set` | `getUnknowns()`
`java.util.Iterator` | `iterator()`
`boolean` | `remove(java.lang.Object obj)`
`int` | `size()`
`java.lang.String` | `toString()`
`void` | `update(java.lang.Object obj, Bool isCandidate)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CandidateSet

    public CandidateSet()

### CandidateSet

    public CandidateSet(java.util.Set knowns)

### CandidateSet

    public CandidateSet(java.util.Set knowns,
                        java.util.Set unknowns)

Method Detail

### getKnowns

    public java.util.Set getKnowns()

### getUnknowns

    public java.util.Set getUnknowns()

### add

    public void add(java.lang.Object obj,
                    Bool isKnown)

### update

    public void update(java.lang.Object obj,
                       Bool isCandidate)

### remove

    public boolean remove(java.lang.Object obj)

### contains

    public boolean contains(java.lang.Object obj)

### size

    public int size()

### iterator

    public java.util.Iterator iterator()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.